From eddaf5350b6ad25f3cb908793756195cc3bd5fad Mon Sep 17 00:00:00 2001
From: Stefan Kangas <stefankangas@gmail.com>
Date: Wed, 10 Jul 2019 03:05:16 +0200
Subject: [PATCH] Suppress interactive-only warnings in undo-tests.el
 (Bug#36565)

* test/src/undo-tests.el (undo-test-region-deletion)
(undo-test-region-example, undo-test-marker-adjustment-nominal)
(undo-test-region-t-marker, undo-test-marker-adjustment-moved)
(undo-test-region-mark-adjustment): Suppress interactive-only
warnings.
---
 test/src/undo-tests.el | 24 ++++++++++++++++++------
 1 file changed, 18 insertions(+), 6 deletions(-)

diff --git a/test/src/undo-tests.el b/test/src/undo-tests.el
index b84f5a5847..34c470592f 100644
--- a/test/src/undo-tests.el
+++ b/test/src/undo-tests.el
@@ -255,7 +255,9 @@ undo-test-region-deletion
     (insert "12345")
     (search-backward "4")
     (undo-boundary)
-    (delete-forward-char 1)
+    (with-suppressed-warnings
+        ((interactive-only delete-forward-char))
+      (delete-forward-char 1))
     (search-backward "1")
     (undo-boundary)
     (insert "xxxx")
@@ -299,7 +301,9 @@ undo-test-region-example
     (insert "ddd")
     (search-backward "ad")
     (undo-boundary)
-    (delete-forward-char 2)
+    (with-suppressed-warnings
+        ((interactive-only delete-forward-char))
+      (delete-forward-char 2))
     (undo-boundary)
     ;; Select "dd"
     (push-mark (point) t t)
@@ -348,7 +352,9 @@ undo-test-marker-adjustment-nominal
     (let ((m (make-marker)))
       (set-marker m 2 (current-buffer))
       (goto-char (point-min))
-      (delete-forward-char 3)
+      (with-suppressed-warnings
+          ((interactive-only delete-forward-char))
+        (delete-forward-char 3))
       (undo-boundary)
       (should (= (point-min) (marker-position m)))
       (undo)
@@ -369,7 +375,9 @@ undo-test-region-t-marker
       (push-mark (point) t t)
       (setq mark-active t)
       (goto-char (point-min))
-      (delete-forward-char 1) ;; delete region covering "ab"
+      (with-suppressed-warnings
+          ((interactive-only delete-forward-char))
+        (delete-forward-char 1)) ;; delete region covering "ab"
       (undo-boundary)
       (should (= (point-min) (marker-position m)))
       ;; Resurrect "ab". m's insertion type means the reinsertion
@@ -389,7 +397,9 @@ undo-test-marker-adjustment-moved
     (let ((m (make-marker)))
       (set-marker m 2 (current-buffer)) ; m at b
       (goto-char (point-min))
-      (delete-forward-char 3) ; m at d
+      (with-suppressed-warnings
+          ((interactive-only delete-forward-char))
+        (delete-forward-char 3)) ; m at d
       (undo-boundary)
       (set-marker m 4) ; m at g
       (undo)
@@ -422,7 +432,9 @@ undo-test-region-mark-adjustment
     (push-mark (point) t t)
     (setq mark-active t)
     (goto-char (- (point) 3))
-    (delete-forward-char 1)
+    (with-suppressed-warnings
+        ((interactive-only delete-forward-char))
+      (delete-forward-char 1))
     (undo-boundary)
 
     (insert "bbb")
-- 
2.21.0

